Buy Philips Multi Grooming Kit MG7715/65 Online in Sri Lanka - SINGER
Singer App icon
Singer Sri Lanka
Singer (Sri Lanka) PLC
Free
DOWNLOAD
Philips Multi Grooming Kit MG7715/65

PRODUCT CODE: PH-MG7715

0
0
0
0
0

Rs. 31,950

Reward Points Icon

Earn 160 RED points with this purchase More Info

Offer Icon

Pay in 3 X Rs. 10,650 with mint-pay koko

This product is out of stock in our website.
But, you can find a store near you to purchase offline.

This Product Is Not Eligible For Cash On Delivery.

Delivery - Standard 3 To 5 Working Days.

2 Years(s) Manufacturer Warranty

Find your nearest store to purchase offline.

Type Trimmer
Blade Material Double Sharpened Steel Blades
Operating Time 120 Minutes
Charging Time 1 Hour
Battery Type Lithium-Ion
Functions For Men That Offers Head To Toe Grooming
Indicators Flashing Orange Light Indicates A Low Battery, While A Solid White Light Signifies A Full Charge
Technology DualCut Technology
Cutter Size Eight Reinforced Cutting Guards
Wet & Dry Usage Yes
Special Features Maximum Precision With 2x More Blades, Self-Sharpening Blades For A Smooth Result, Cut Hair To Your Length
Cable USB charging cable 
Voltage 100-240V Automatic
Safety / Protection Showerproof For Convenient Use In The Shower And Cleaning.
Accessories Eight Reinforced Cutting Guards. 2 Stubble Combs For 1mm And 2mm Trimming, An Adjustable Beard Comb, 3 Hair Combs
Dimensions 19.2 x 6.9 x 22.4 Centimeters
Weight 0.270 kg
Other Information A Versatile All-In-One Grooming Solution For Trimming Your Face, Hair, And Body. This 13-In-1 Trimmer Comes With A Variety Of Attachments To Meet All Your Grooming Needs.

No Reviews Yet

Be the first to review this product!

  1. Proof of identity - NIC, driving licence or passport.
  2. Age - should be above 18 years.
  3. Proof of residence by submitting one of the below (last bill):
    • Electricity Bill
    • Water Bill
    • Land phone Bill
  4. Proof of income – Ability to provide one of the following documents:
    • Pay Slip
    • Business registration certificate
    • Profit and loss statement
    • Certified income expenses statement for self employed
    • Any other
  5. Two nonrelated guarantors with repayment ability.

  1. Original documents as specified above.
  2. Additional conditions as applicable.
  3. Any further requirements as per the bank's policy.
Product Enquiry
Only letters and spaces allowed
10-15 digits only

Similar Products

Philips OneBlade Face Rechargeable Shaver QP1424

PH-QP1424

0
0
0
0
0
Philips OneBlade Face Rechargeable Shaver QP1...
Rs 13,950
Singer Hand Carry Hair Dryer BY503
sale

SIN-BY503

0
0
0
0
0
Singer Hand Carry Hair Dryer BY503
Rs 4,049
Rs 4,499 10% Off
Singer Rechargeable Hair Clipper With Two Detachable Combs
sale

SIN-RFC-2012

0
0
0
0
0
Singer Rechargeable Hair Clipper With Two Det...
Rs 4,319
Rs 5,399 20% Off
Philips Beard Trimmer BT1230 - Stainless Steel Blades

PH-NBT1230

0
0
0
0
0
Philips Beard Trimmer BT1230 - Stainless Stee...
Rs 6,950
Phlips Nose Trimmer NT3650 - Trim Nose, Ear & Brows Hair

PH-NNT3650

0
0
0
0
0
Phlips Nose Trimmer NT3650 - Trim Nose, Ear &...
Rs 8,950
Singer Multi Functional Hair Trimmer - SIN-RFC-2058
sale

SIN-RFC-2058

0
0
0
0
0
Singer Multi Functional Hair Trimmer - SIN-RF...
Rs 7,649
Rs 8,499 10% Off
Singer Hair Clipper - SIN-RFC-1819
sale

SIN-RFC-1819

0
0
0
0
0
Singer Hair Clipper - SIN-RFC-1819
Rs 5,399
Rs 5,999 10% Off
Philips Beard Trimmer BT1235 - Stainless Steel Blades

PH-NBT1235

0
0
0
0
0
Philips Beard Trimmer BT1235 - Stainless Stee...
Rs 8,950

Frequently Bought Items

BLACK+DECKER Pressure Washer BEPW1300/1600 - 1300W, 110Bars

BD-BEPW1300-B5

0
0
0
0
0
BLACK+DECKER Pressure Washer BEPW1300/1600 -...
Rs 47,900
BLACK+DECKER Digital AeroFry Air Fryer AF400-B5 - 4.0L

BD-AF400-B5

0
0
0
0
0
BLACK+DECKER Digital AeroFry Air Fryer AF400-...
Rs 59,900
Canon Ink Cartridge - PG-745S (Black)

CAN-C-745S-B

0
0
0
0
0
Canon Ink Cartridge - PG-745S (Black)
Rs 5,299
Indesit Cooker Hood, Chimney Type, Air Flow 559m3h

IND-IHGC94FLMX

0
0
0
0
0
Indesit Cooker Hood, Chimney Type, Air Flow 5...
Rs 108,099
Panasonic Hair Dryer EH-ND21 - 1200W ( Pink & White)
sale

PN-EH-ND21-P605

0
0
0
0
0
Panasonic Hair Dryer EH-ND21 - 1200W ( Pink &...
Rs 7,019
Rs 7,799 10% Off
Islandwide Delivery
Islandwide Delivery
Fast, reliable delivery
After Sales Service
After Sales Service
Confidence on all your devices
Top-notch Support
Top-notch Support
Here whenever you need us
Trusted Warranty
Trusted Warranty
Warranty for all products